%global debug_package %{nil}

Summary:        Meta loader for Vulkan API
Name:           vulkan-volk
Version:        1.3.280.0
Release:        1%{?dist}

License:        MIT
URL:            https://github.com/zeux/volk
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz

BuildRequires:  gcc cmake3 vulkan-headers = %{version}

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       vulkan-headers = %{version}
Conflicts:      volk-devel

%description    devel
%{summary}

%prep
%autosetup -n volk-vulkan-sdk-%{version} -p1

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DVOLK_INSTALL:BOOL=ON
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.md
%doc README.md
%dir %{_libdir}/cmake/volk
%{_includedir}/volk.h
%{_includedir}/volk.c
%{_libdir}/cmake/volk/*.cmake
%{_libdir}/libvolk.a

%changelog
* Mon Aug 05 2024 cunshunxia <cunshunxia@tencent.com> - 1.3.280.0-1
- initial build
